com.r3corda.client.model / NodeMonitorModel

# NodeMonitorModel

`class NodeMonitorModel`

This model exposes raw event streams to and from the node.

### Constructors

<init> | `NodeMonitorModel()` This model exposes raw event streams to and from the node.

### Properties

clientToService | `val clientToService: <ERROR CLASS><ClientToServiceCommand>`
progressTracking | `val progressTracking: <ERROR CLASS><ProgressTrackingEvent>`
stateMachineTransactionMapping | `val stateMachineTransactionMapping: <ERROR CLASS><StateMachineTransactionMapping>`
stateMachineUpdates | `val stateMachineUpdates: <ERROR CLASS><StateMachineUpdate>`
transactions | `val transactions: <ERROR CLASS><SignedTransaction>`
vaultUpdates | `val vaultUpdates: <ERROR CLASS><Update>`

### Functions

register | `fun register(vaultMonitorNodeInfo: NodeInfo, certificatesPath: Path): Unit` Register for updates to/from a given vault.